> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start pipeline tap

> Start a tap operation to view data as it flows through the pipeline.



## OpenAPI

````yaml /pipeline.yaml post /pipeline/{pipeline_id}/tap/{component_id}
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/{pipeline_id}/tap/{component_id}:
    post:
      tags:
        - Sampling and Simulation
      summary: Start pipeline tap
      description: Start a tap operation to view data as it flows through the pipeline.
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: pipeline_id
          required: true
        - schema:
            type: string
            pattern: ^([^\.]+)(?:\.(.+))?$
          in: path
          name: component_id
          required: true
          description: The component whose output is to be tapped
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                limit:
                  type: integer
                  default: 10
                  description: The maximum number of events to return
                  minimum: 1
                  maximum: 100
                timeout:
                  type: integer
                  default: 5
                  description: >-
                    The amount of time, in seconds, to wait for `limit` events
                    to return before timing out
                  minimum: 1
                  maximum: 20
                edge_id:
                  type: string
                  minLength: 1
                  description: Specific edge_id instance to tap
                filter:
                  allOf:
                    - 55778ac7-eece-4c37-99ff-08abcf72ede0
                  title: Conditional
                  description: >-
                    A group of expressions joined together by an and/or
                    operator.
                  ui:
                    display_type: rules-engine
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````